Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,805,829 Members 42,110 Now Online
XDA Developers Android and Mobile Development Forum

Xposed back-ported to Gingerbread (update to 2.6.1)

Tip us?
 
liudongmiao
Old
(Last edited by liudongmiao; 15th August 2014 at 12:24 AM.)
#1  
Senior Member - OP
Thanks Meter 462
Posts: 103
Join Date: Mar 2011
Smile Xposed back-ported to Gingerbread (update to 2.6.1)

Update on 2014.08.15
I have fixed my old phone by replacing the screen.
I think it's the last chance, as screws is broken, I cannot open the phone any more..
I will keep back-porting if I find more than 10 users and gb-devices are more than 10% in the google play store.
Reference: http://developer.android.com/about/d...rds/index.html

Update on 2014.08.04
As my old android phone (which shiped the android 2.3.5) is broken.
I have no gb devices anymore, so I won't maintain this project anymore.
For all the projects, there are opensource, and free to change.

Update on 2014.06.03.2
- rebuild busybox with armv5te
- try system's busybox if fails

Update on 2014.06.03.1
fix for error for xsharedpreferences

Update on 2014.06.03
fix for the soft reboot, which was disabled

Update on 2014.06.02.1
fix for the light theme

Update on 2014.06.02
update to the latest 2.6.1
Note: the light theme is not good on GingerBread, so it's disabled.

Thanks @rovo89, for great hack on app_process.
Now, I try to backported to gingerbread (api-10).

Update on 2014.05.04
The binary of XposedInstaller, XPrivacy are on github's release.
https://github.com/liudongmiao/XposedInstaller/releases
https://github.com/liudongmiao/XPrivacy/releases

Update on 2014.03.18
Please do NOT contact the original author @rovo89 or @M66B) for support on the back-ported Xposed, nor XPrivacy.
For any issues related back-ported, please contact me directly via PM, or post an reply with @liudongmiao.
And it's more encouraged to create an issue at the back-ported github project.
Xposed: https://github.com/liudongmiao/Xposed
XposedBridge: https://github.com/liudongmiao/XposedBridge
XposedInstaller: https://github.com/liudongmiao/XposedInstaller
XPrivacy: https://github.com/liudongmiao/XPrivacy
XposedAppSettings: http://github.com/liudongmiao/XposedAppSettings

Update on 2014.01.06
As I have no time to update this thread.
For other modules, please install XposedGB Installer, and check in the Download Fragment.
And, I think XPrivacy and Xposed App Settings are good enough to install Xposed Framework.
For a xml verison of the modules, please visit http://piebridge.me/repo.gb.xml

Update on 20140105
I have back-ported two module, XPrivacy and Xposed App Settings.
And rewrite Master Key Fix GB. You can get all in the back-ported XposedGB Installer.
If you find some module very useful, you may create an issue at https://github.com/liudongmiao/XposedGBModule.
When I have time, I may consider to back-port it.

Update on 20140104
Now I have updated the framework through modified repository.
I cannot promise to update the the apk in attachments.

Update on 20140103.1
And as you see, the back-ported XposedInstaller is rename to XposedGB Installer.
Currently the repo for XposedGB Installer is pointed to a file generated from original repo.
I will check the result of the file, and keep gb-only modules. This is done every hour.
Currently, modules back-ported by me are not added yet, I will add them later.(Added them on 2014.01.05)

For the source, please visit below links, and please DON'T contact the original author @rovo89 or @M66B for following framework/module.
// As @rovo89 and @M66B indicated that those modifications won't be merged, and GingerBread won't be supported in their original versions.
Xposed: https://github.com/liudongmiao/Xposed
XposedBridge: https://github.com/liudongmiao/XposedBridge
XposedInstaller: https://github.com/liudongmiao/XposedInstaller
XPrivacy: https://github.com/liudongmiao/XPrivacy
XposedAppSettings: http://github.com/liudongmiao/XposedAppSettings

I will keep back-ported and catch the upstream update for them.
For any feedback for back-ported xposed framework, please contact me or create an issue on the project.
For the back-ported xposed modules, please contact the back-ported contributer.
For other xposed modules, you may contact the original author, or create an issue at https://github.com/liudongmiao/XposedGBModule/issues
(Please note, I don't have much time to back-port all of them, so if you find some modules are very useful, please add some comments, I will consider it has a high priority.)
Attached Files
File Type: apk XposedInstaller-2.6.1-gb-p4.apk - [Click for QR Code] (1.41 MB, 14161 views)
The Following 325 Users Say Thank You to liudongmiao For This Useful Post: [ Click to Expand ]
 
raokashan
Old
#2  
raokashan's Avatar
Member
Thanks Meter 0
Posts: 39
Join Date: Apr 2012
good work but where's download link of xposegb installer and xposed privacy
 
6th_Hokage
Old
#3  
6th_Hokage's Avatar
Senior Member
Thanks Meter 471
Posts: 970
Join Date: Feb 2013
Location: Los Osos
Quote:
Originally Posted by raokashan View Post
good work but where's download link of xposegb installer and xposed privacy
Update on 2014.05.04
The binary of XposedInstaller, XPrivacy are on github's release.
https://github.com/liudongmiao/XposedInstaller/releases
https://github.com/liudongmiao/XPrivacy/releases
YouTube Channel

my work:

Custom Splash Screen Sprint/Boost/Virgin Mobile s3 Touchwiz Roms and some AOSP Roms


sorta my work :P Viper4Andriod S3 APP and Settings

and helping with Flappy Bird's Family

current phone:
Samsung Galaxy S3,Wicked X v7.2 ND8 with NDC Modem

Past phones: latest to oldest
Galaxy Infuse 4G
Galaxy S 4G 3rd time
myTouch 3G slide
Galaxy S 4G 2nd time
T-mobile myTouch
Galaxy S 4G
Sensation 4G
Moto Backflip
The Following User Says Thank You to 6th_Hokage For This Useful Post: [ Click to Expand ]
 
raokashan
Old
#4  
raokashan's Avatar
Member
Thanks Meter 0
Posts: 39
Join Date: Apr 2012
I am using xperia x10 mini cm7 install xposed framework successfully ,apps (appsetting xprivacy xloud etc) also install succefully but they didnt work like in appsetting I enable fullscreen,etc didnt work.Enabled module in xposed installer, save the config I made reboot but didnt work
 
trevmar
Old
#5  
Member
Thanks Meter 7
Posts: 63
Join Date: Oct 2010
Thumbs up Your work keeping Gingerbread safe is appreciated

Although there are a reasonable number of "thanks" clickthroughs for the work you have all done, I want to specifically thank you all, and let you know that the Gingerbread Xposed/Xprivacy has been very helpful...
 
Dhanesh95
Old
(Last edited by Dhanesh95; 9th May 2014 at 04:46 AM.)
#6  
Dhanesh95's Avatar
Senior Member
Thanks Meter 26
Posts: 110
Join Date: May 2013
Location: Pune
Question Need help!

@liudongmiao
I've been using Xopsed for a long time on my ICS ROM's. Suddenly, I came to know about Xposed backported to gingerbread and i was thrilled! So i installed my stock gingerbread ROM and decided to give Xposed a try. Everything worked well till version 2.4.1-gb and then I updated it to 2.5.1.
Unfortunately,after the update, the framework doesn't install correctly for me. I have attached a screenshot of the error. Please help me with this!
Attached Thumbnails
Click image for larger version

Name:	SC20140508-170507.png
Views:	787
Size:	20.2 KB
ID:	2733530  
Device :
Samsung Galaxy Fit GT-S5670


ROM :
XWKTI Stock ROM


Scripts :
Universal Odex Script
 
Alltid
Old
#7  
Junior Member
Thanks Meter 0
Posts: 1
Join Date: May 2014
Default Can't install Framework

@liudongmiao Thanks for you efforts in this back porting.

You can see i'm new here, i hope you can help me.

I have an issue, cant install the framework, i have no problems installing the XposedGB apk, but in the app, in "Framework" section i get "Xposed is not (yet) compatible with Android SDK version 10 or your processor architecture (armeabi-v7a). reloc Library (1346):2507 cannot locate 'dvmLogExceptionStackTrace'...cannot link executable." I tried with fix permissions, uninstalling-installing the app, but i have same error.

I already test with version 2.4.1 and 2.5.1, same results.

My device is a ZTE V795 with 2.3.6, mediatek 6572, 512 ram, dual core 1 ghz. it's compatible?

Thanks in advance and congratulations again.
 
6th_Hokage
Old
#8  
6th_Hokage's Avatar
Senior Member
Thanks Meter 471
Posts: 970
Join Date: Feb 2013
Location: Los Osos
Quote:
Originally Posted by Alltid View Post
@liudongmiao Thanks for you efforts in this back porting.

You can see i'm new here, i hope you can help me.

I have an issue, cant install the framework, i have no problems installing the XposedGB apk, but in the app, in "Framework" section i get "Xposed is not (yet) compatible with Android SDK version 10 or your processor architecture (armeabi-v7a). reloc Library (1346):2507 cannot locate 'dvmLogExceptionStackTrace'...cannot link executable." I tried with fix permissions, uninstalling-installing the app, but i have same error.

I already test with version 2.4.1 and 2.5.1, same results.

My device is a ZTE V795 with 2.3.6, mediatek 6572, 512 ram, dual core 1 ghz. it's compatible?

Thanks in advance and congratulations again.
i get the same result on stock 2.3.6 GB on the Samsung Infuse 4G
YouTube Channel

my work:

Custom Splash Screen Sprint/Boost/Virgin Mobile s3 Touchwiz Roms and some AOSP Roms


sorta my work :P Viper4Andriod S3 APP and Settings

and helping with Flappy Bird's Family

current phone:
Samsung Galaxy S3,Wicked X v7.2 ND8 with NDC Modem

Past phones: latest to oldest
Galaxy Infuse 4G
Galaxy S 4G 3rd time
myTouch 3G slide
Galaxy S 4G 2nd time
T-mobile myTouch
Galaxy S 4G
Sensation 4G
Moto Backflip
 
liudongmiao
Old
#9  
Senior Member - OP
Thanks Meter 462
Posts: 103
Join Date: Mar 2011
Quote:
Originally Posted by Dhanesh95 View Post
@liudongmiao
I've been using Xopsed for a long time on my ICS ROM's. Suddenly, I came to know about Xposed backported to gingerbread and i was thrilled! So i installed my stock gingerbread ROM and decided to give Xposed a try. Everything worked well till version 2.4.1-gb and then I updated it to 2.5.1.
Unfortunately,after the update, the framework doesn't install correctly for me. I have attached a screenshot of the error. Please help me with this!
it seems that you installed a incompatible busybox...please make sure the busybox works, or just remove the installed one.
The Following User Says Thank You to liudongmiao For This Useful Post: [ Click to Expand ]
 
liudongmiao
Old
#10  
Senior Member - OP
Thanks Meter 462
Posts: 103
Join Date: Mar 2011
Quote:
Originally Posted by Young_Azul View Post
i get the same result on stock 2.3.6 GB on the Samsung Infuse 4G
please send me the file /system/lib/libdvm.so

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes